/* ProgressBarと同時に用いる、視覚的な変化なしで全画面を覆い二重操作を防止するModal */
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@300;400;700;900&family=Noto+Serif+JP:wght@400;700&display=swap');

* {
    font-family: 'Noto Sans JP', sans-serif;
}

:root {
    --white-tint-color-1: #efeff4;
    --white-tint-color-2: #f3f3f7;
    --white-tint-color-3: #f7f7fa;
    --white-tint-color-4: #fbfbfc;
}

.page__content h1,
.page__content h2,
.page__content h3,
.page__content h4 {
    font-family: 'Noto Sans JP', sans-serif;
    font-weight: 900;
    color: #555;
}

.hr_div {
    width: 100%;
    height: 1px;
    border-top: 1px solid var(--white-tint-color-1);
}

.toolbar__title {
    font-family: 'Noto Sans JP', sans-serif;
    font-weight: 700;
    color: #555;
}

ons-toolbar.MainPageToolbar {
    background-color: #ffffff;
}

ons-icon {
    color: #555;
}

#ToolbarBackButton {
    display: none;
}
.ToolbarBackButton {
    display: none;
}

ons-splitter-side ons-page>div.page__background {
    /* background-color: #3e7b9c; */
    /* background-color: #dddde4; */
    background-color: var(--white-tint-color-3);
}

#Navigator_Content ons-page>div.page__background {
    /* background-color: #f0f9f9; */
}

.Custom_HR {
    width: 100%;
    border-top: 1px solid #ddd;
}

#TransparentModalForProgressBar {
    background-color: transparent;
}

ons-progress-bar {
    display: none;
    position: fixed;
    z-index: 10;
    width: 100%;
}

.LoginContainer {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 10px;
}

.LoginContainer_Title {
    font-size: 25px;
    font-weight: bold;
    text-align: center;
    margin-bottom: 30px;
}

.LoginBox {
    width: 100%;
    max-width: 400px;

    display: grid;
    gap: 15px;
    padding: 20px;

    border: 1px solid #ccc;
    border-radius: 10px;
}

.LoginBox_Title {
    font-size: 20px;
    font-weight: bold;
    text-align: center;
    margin: 10px 0px;
}

.LoginNotice {
    padding: 20px 0px;
}

#LoginForm_LoginButton {
    text-align: center;
    margin: 10px 0px;
}

.LoginPage_Align {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    height: 100%;
}

.Login_Container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, min(400px, 100%)));
    column-gap: 50px;
    row-gap: 20px;
    width: 100%;
    justify-content: center;
    padding: 20px 10px;
    margin: auto;
    /* background-color: #fff; */
}

.Copyright_Text {
    color: #999;
    font-size: 0.8em;
    padding: 10px 0px 20px 0px;
}

.Login_Box {
    padding: 20px 30px;
}

.Login_Box_ImgCard {
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin-top: 30px;
    padding-top: 0px;
    min-height: 200px;
    background-image: url('/img/login_img3.png');
    background-repeat: no-repeat;
    background-size: contain;
    background-position: bottom;
}

.Login_ImgCard_Title {
    font-size: 2.5em;
    font-weight: 900;
    color: #333;
}

.Login_ImgCard_SubTitle {
    color: #555;
}

.Login_Box_Form {
    display: flex;
    flex-direction: column;
    gap: 20px;
    background-color: var(--white-tint-color-4);
    border-radius: 10px;
}

.LoginForm_SubTitle {
    font-size: 0.9em;
}

.LoginForm_Social {
    display: grid;
    gap: 20px;
}
.LoginForm_IDPW {
    display: grid;
    gap: 25px;
}

.SocialLoginButton {
    width: 100%;
    height: 3rem;
    display: flex;
    border: 1px solid #ccc;
    border-radius: 3px;
    display: grid;
    grid-template-columns: 45px 1fr;
    place-content: center;
    place-items: center;
}

.SocialLoginButton_Img {
    width: 100%;
    object-fit: contain;
}

.GoogleLogin {
    font-family: 'Roboto', sans-serif;
    background-color: #4285f4;
    border-color: #4285f4;
    color: #fff;
}

.LINELogin {
    background-color: #00c300;
    border-color: #00c300;
    color: #fff;
}

.LINELogin .SocialLoginButton_Img {
    border-right: 1px solid #00b300;
}

.SocialLoginButton_Text {
    font-family: 'Helvetica', sans-serif;
}

.MenuContainer {
    padding: 0px 10px 10px 10px;

    display: grid;
    gap: 15px;
    color: #555;
    height: 100%;
    grid-template-rows: 44px 1fr min-content;
}

.MenuContainer ons-list-title {
    color: #555;
}

.Menu_Header {
    display: flex;
    justify-content: center;
    align-items: center;

    /* display: flex;
    align-items: flex-end;
    background-color: var(--white-tint-color-1);
    color: #555;
    margin: 0 -10px;
    padding-left: 20px;
    font-family: 'Noto Sans JP';
    font-weight: 700;
    font-size: 20px; */
}

.Menu_Button {
    padding: 10px;
}

.Menu_Profile_Img {
    border: 1px solid #ddd;
    border-radius: 10px;
    font-size: 70px;
    color: #999;
    height: 150px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.Menu_Body {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.MenuList {
    background-color: transparent;
    display: grid;
    gap: 3px;
}

.MenuList_Button {
    border-radius: 15px;
    color: #555;
    font-weight: bold;
}

.MenuList_Button .left {
    width: 50px;
    padding-right: 10px;

    display: flex;
    justify-content: center;
    align-items: center;
}

.MenuList_Button:hover {
    background-color: #fff;
    color: #3e7b9c;
}

.Dashboard_Container {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 30px;
}

.ProgramList_Container {
    display: grid;
    gap: 20px;
}

.ProgramList_Row {
    display: grid;
    gap: 30px;
}

.ProgramList_Title {
    font-size: 25px;
    font-weight: bold;
    color: #555;
}

.ProgramList_Item_Container {
    display: grid;
    gap: 15px;
    padding: 15px;
    border-radius: 10px;
    background-color: #fff;
}

.ProgramList_Img {
    width: 100%;
    object-fit: contain;
    border-radius: 5px;
}

.ProgramList_DummyImg {
    font-size: 20px;
    color: #fff;
    background-color: #aaa;
    border-radius: 5px;

    display: flex;
    justify-content: center;
    align-items: center;

    aspect-ratio: 16 / 9;
}

.ProgramList_Chevron {
    font-size: 1.5em;
    color: #aaa;
    text-align: right;
}

.ProgramList_Item_Button {
    display: flex;
    justify-content: center;
    align-items: center;
}

.ProgramList_TextContent {
    display: grid;
    grid-template-rows: 1fr min-content;
    gap: 5px;
}

.ProgramList_ProgramName {
    font-size: 18px;
    font-weight: bold;
}

.ProgramList_ProgramDesc {
    font-size: 15px;
    color: #555;
    text-align: justify;
}

.MyThemeList_ProgramInfo {
    display: flex;
    padding: 20px;
    flex-wrap: wrap;
    justify-content: center;
    width: 100%;
    max-width: 700px;
    background-color: #fff;
    border-radius: 5px;
    gap: 20px;
}
.MyThemeList_ProgramImgBox {
    flex-grow: 1;
    max-width: 300px;
}
.MyThemeList_ProgramImg {
    width: 100%;
    object-fit: contain;
}

.MyThemeList_ProgramTextContent {
    flex-grow: 1;
    max-width: 300px;
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.MyThemeList_ProgramDesc {
    font-size: 15px;
    color: #555;
    text-align: justify;
}

.StudentMyPage_Box {
    padding: 20px;
    background-color: #fff;
    border-radius: 10px;
    display: grid;
    gap: 10px;
}

.StudentMyPage_Title {
    font-size: 20px;
    font-weight: bold;
    color: #777;
    padding-bottom: 20px;
}

.LINEFriendNotification_Container {
    max-width: 500px;
    display: flex;
    flex-direction: column;
    background-color: var(--white-tint-color-3);
    padding: 20px;
    border-radius: 10px;
}

.LINEFriendNotification_Container > img {
    max-width: 300px;
    margin: auto;
    padding: 10px 0px;
}

.LINEFriendNotification_Container > a {
    text-align: center;
    padding: 10px 0px;
}

.Content_Container {
    padding: 20px;
    display: grid;
    justify-items: center;
    align-items: baseline;
    gap: 20px;
}

.Content_Box {
    background-color: #fff;
    padding: 20px;
    color: #555;

    display: grid;
    justify-items: center;
    align-items: baseline;
    gap: 20px;

    width: 100%;
    max-width: 800px;
}

.Content_Box .Title {
    font-size: 20px;
    font-weight: bold;
}

.Content_Box__SubTitle {
    font-size: 18px;
    font-weight: bold;
}

.Content_Box .TextContent {
    width: 100%;
}

.Content_Box .Form {
    width: 100%;
    margin: 10px 0px;
}

.Content_Box ons-input {
    width: 100%;
}

#CreateMemberResultCard {
    display: none;
}

.Lesson_Container {
    padding: 20px;
}

#ToolbarMenuButton {
    padding: 0 15px 0 0;
}
.ToolbarMenuButton {
    padding: 0 15px 0 0;
}

.Popover_StudentEssayCheck_Container {
    padding: 10px 0px;
}

.THS_Badge {
    border-bottom: 2px dashed green;
}

.TS_Badge {
    border-bottom: 2px dashed blueviolet;
}

.CS_Badge {
    border-bottom: 2px dashed orange;
}

.THS_Badge::before,
.TS_Badge::before,
.CS_Badge::before {
    font-size: 11px;
    font-weight: bold;
    border-radius: 5px;
    padding: 2px 7px;
    color: #fff;
    vertical-align: 20%;
}

.THS_Badge::before {
    content: 'THS';
    background-color: green;
}

.TS_Badge::before {
    content: 'TS';
    background-color: blueviolet;
}

.CS_Badge::before {
    content: 'CS';
    background-color: orange;
}

.SubmitEssayButton {
    justify-self: center;
    align-self: center;
}

.ConfirmMessage_Label {
    color: #fff;
    border-radius: 3px;
    padding: 2px 5px;
    margin-right: 7px;
}

.ConfirmMessage_Label__Grey {
    background-color: #777;
}

.ConfirmMessage_Label__Green {
    background-color: #00aa00;
}

#ReportDataContainer {
    display: grid;
    gap: 20px;
    align-self: baseline;
}

.ReportButton {
    align-self: baseline;
}

.ReportAudioContainer {
    display: grid;
    gap: 10px;
    background-color: #fff;
    padding: 20px;
    border-radius: 5px;
}

.ReportAudio_Title {
    font-size: 20px;
    font-weight: bold;
}

.ReportImagesContainer {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #fff;
    padding: 20px;
    border-radius: 5px;
}

.ReportImage {
    width: 100%;
    max-width: 500px;
    object-fit: contain;
}

.TotalReportContainer {
    display: flex;
    gap: 10px;
    background-color: #fff;
    padding: 20px;
    border-radius: 5px;
}

.TotalReport_Box {
    flex-grow: 1;
}

.TotalReport_Deco {
    width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 27px;
}

.TotalReport_BoxTitle {
    font-size: clamp(16px, calc(1rem + ((1vw - 3px) * 0.8642)), 30px);
    min-height: 0vw;
}

.TotalReport_Score {
    text-align: right;
    padding-right: 5px;
    font-size: clamp(15px, calc(0.9375rem + ((1vw - 3px) * 0.6173)), 25px);
    min-height: 0vw;
}

.TotalReport_Score_Score {
    color: orangered;
    font-weight: bold;
}

.CatReportContainer {
    display: grid;
    gap: 20px;
}

.CatReport_Box {
    background-color: #fff;
    padding: 20px 30px;
    border-radius: 5px;
    display: grid;
    gap: 20px;
}

.CatReport_Header {
    display: flex;
    gap: 20px;
    font-size: 20px;
    font-weight: bold;
}

.CatReport_Header_Score {
    color: orangered;
    font-weight: bold;
}

.TotalReport_Box_Body {
    /* display: grid;
    grid-template-columns: repeat(auto-fit, 200px);
    grid-template-rows: 200px; */
    display: flex;
    justify-content: space-around;
}

.PercentageChart_Container {
    position: relative;
    width: 20%;
    padding-top: 20%;
}

.PercentageChart_svgBox {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: calc(100% - 30px);
    overflow: visible;
}

.PercentageChart {
    fill: transparent;
    cx: 32;
    cy: 32;
    r: 16;
    stroke-width: 7px;
    stroke-dashoffset: 25;
    stroke-linecap: round;
}

.PercentageChart_Body {
    stroke: #009cff;
    stroke-dasharray: 65 35;
}

.PercentageChart_Grey {
    stroke: #ccc;
    /* stroke-dasharray: 0 65 35 0; */
}

.PercentageChart_Text {
    text-anchor: middle;
    font-size: 6px;
}

.PercentageChart_Label {
    text-align: center;
    padding-top: 20px;
}

.CatReport_Details {
    
}

.CatReport_Details_ExpandableContent {
    display: grid;
    gap: 20px;
}

.CatReport_Details_Box {
    display: grid;
    gap: 10px;
}

.CatReport_Details_Item {
    display: grid;
    gap: 5px;
}

.CatReport_Details_Item__Header {
    display: flex;
    gap: 5px;
}

.CatReport_Details_Item__Name {
    font-weight: bold;
    padding-right: 20px;
}

.CatReport_Details_Item__Score {
    font-weight: bold;
    color: orangered;
}

.CatReport_Details_Item__Comment {
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 7px;
    font-size: 15px;
    color: #777;
}

.Dashboard_ButtonContainer {
    width: 100%;
    max-width: 600px;
    display: grid;
    grid-template-columns: 1fr;
    gap: 20px;
    margin: 30px auto;
    padding: 10px;
}

.Dashboard_Button {
    display: grid;
    gap: 10px;
    justify-items: center;
    padding: 25px 0px 20px 0px;
    border: #ccc solid 1px;
    border-radius: 10px;
    background-color: #f3f3f3;
    grid-template-columns: 40px 150px;
    justify-content: center;
    align-items: center;
}

.Dashboard_ButtonContainer ons-icon {
    font-size: 30px;
    color: #555;
}

.BasicArts_Card_Container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(270px, 1fr));
    gap: 30px;
    margin-bottom: 20px;

    /* スマホ用：横スクロール */
    /* MenuのSwipeとの衝突解決が必要 */
    /* Gridで横幅を広げる必要あり */
    /* grid-auto-columns: 300px;
    grid-auto-flow: column;
    overflow-x: auto;
    overflow-y: hidden;
    padding: 0 10px;
    gap: 15px;
    width: 100%; */
}

.BasicArts_Card {
    border-radius: 5px;
    background-color: var(--white-tint-color-3);
    transition: all 0.2s;
    cursor: pointer;
}

.BasicArts_Card:hover {
    scale: 1.03;
    background-color: var(--white-tint-color-4);
}

.ProgramList_Card {
    display: grid;
    /* gap: 20px; */
    padding: 30px 20px;
}

.MyThemeList_Container {
    display: grid;
    gap: 50px;
}

.MyThemeList_ThemeList {
    display: grid;
    gap: 15px;
}

.ThemeList_Card {
    display: grid;
    /* gap: 20px; */
    padding: 30px 20px;
}

.ThemeList_ActionName_Lesson,
.ThemeList_ActionName_Report {
    display: none;
}

.ThemeList_ThemeDesc {
    text-align: justify;
    padding: 0px 10px;
    font-size: 14px;
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    color: #555;
}

.ThemeList_ActionName {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 40px;
    padding: 4px 20px;
    border-radius: 3px;
    font-size: 17px;
    color: #fff;
    margin-top: 10px;
}

.ThemeList_ActionName_LessonColor {
    background-color: #0076ff;
}
.ThemeList_ActionName_ReportColor {
    background-color: #ff4500;
}

#Navigator_Home .page__content,
#Navigator_Content .page__content,
#Navigator_MyPage .page__content {
    padding: 20px;
}